GNU bug report logs - #32595
EIEIO manual breaks built-ins

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Paul Pogonyshev <pogonyshev@HIDDEN>; Keywords: confirmed fixed; merged with #31660; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 26.2, send any further explanations to 31660 <at> debbugs.gnu.org and Gemini Lasswell <gazally@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32595 <at> debbugs.gnu.org:


Received: (at 32595) by debbugs.gnu.org; 31 Aug 2018 07:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 31 03:41:52 2018
Received: from localhost ([127.0.0.1]:39716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fve3y-0007kV-Bq
	for submit <at> debbugs.gnu.org; Fri, 31 Aug 2018 03:41:52 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:35485)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1fve3x-0007kG-3X
 for 32595 <at> debbugs.gnu.org; Fri, 31 Aug 2018 03:41:49 -0400
Received: by mail-wm0-f44.google.com with SMTP id o18-v6so4377831wmc.0
 for <32595 <at> debbugs.gnu.org>; Fri, 31 Aug 2018 00:41:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=wixsv2gxb8P2EPv33sW5VA4ugTI7IhxCW7l1U+3xn94=;
 b=rj7XUnX/z4WnjHLO/QGTgAL+pjJIt+Ji4Txp/nEBFXIuJZpfJSQNQzvP2YzQSx+feD
 TaegIB8c2gMQBxII6jqVIORNjWau1VdGimWnY8XfwUQe5UssJelHl6PUObeuLHSY/iKb
 M0r89n6mZYIr73uYhEQc0co2fej+oH81Fxs130MNVALkuLYql4bwRpSUnHPrQ2/p5R86
 nmxVJbTF/PR2oxd/zqVcNjuXvHhNMpwcIGBRPcnqoJFZcIxluvawhKnLjlw8QFx2eBz2
 lOPEpZUqdun1L9wJT5wnEnnghuKe/jCtddXplaiA4hFPhZYwIJTjMxT+NYY/batjC0tx
 GZ2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=wixsv2gxb8P2EPv33sW5VA4ugTI7IhxCW7l1U+3xn94=;
 b=jHUuz/a5+8bEvpxqQ1GQMlIcF1NaYy3fLG4BMUqXxDeEdmaeVjjl/el3FLHdAHC51O
 FMNU9G3QwojSQMbqKW3jUbzKRl/iWWbv9NmyU1ixhFDiIOD+bO8R3dJXnWM2sC2yp1OC
 xr02BjAJOHnzZId+C73c6QBQpFYpVjObco19rrIuU4JZCKwyphWtL+pDQXjnTSrGa3L2
 BIGq92usM3PX9kZBPEkxl9IqsQ1j7w5fe0r9RN3CYMg5mQ00mbDJx9afVL1A0YsY6B73
 4zKbN4b4gdDMxiDZk4KvNO6AuFIGoPFH4wTNvRiDsTWKZNnPn6nqWKx5a+8COOcJlT9b
 Re1g==
X-Gm-Message-State: APzg51DAzyHQ89iT8Ig5G/RUhWLu06eWPrgqPdNF6YIaa47+GMgwAs3r
 VEmsDM09H7A5tx9f8/6kwWxQbdCxYGg=
X-Google-Smtp-Source: ANB0Vda77Ojprywi0v2ZkqxZrnRRwiFO8iuPqE6ACmWVWqEm+ukVzvTLMKyzCgr85i+EUVFVBPCFJQ==
X-Received: by 2002:a1c:d98a:: with SMTP id
 q132-v6mr4154821wmg.78.1535701303110; 
 Fri, 31 Aug 2018 00:41:43 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id p11-v6sm13908175wrd.74.2018.08.31.00.41.41
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 31 Aug 2018 00:41:42 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Paul Pogonyshev <pogonyshev@HIDDEN>
Subject: Re: bug#32595: EIEIO manual breaks built-ins
References: <CAG7BpapxirN+XLu0p1QFuye1m52sz2jPfUNuWS2PcL9cF5gMuw@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 31 Aug 2018 09:41:41 +0200
In-Reply-To: <CAG7BpapxirN+XLu0p1QFuye1m52sz2jPfUNuWS2PcL9cF5gMuw@HIDDEN>
 (Paul Pogonyshev's message of "Thu, 30 Aug 2018 22:00:17 +0200")
Message-ID: <87ftyv2dai.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32595
Cc: 32595 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Paul Pogonyshev <pogonyshev@HIDDEN> writes:

> EIEIO manual defines class `record' in many chapters. Evaluating these
> examples hides built-in function `record', potentially breaking Emacs.
>
> The class in EIEIO manual must be renamed to avoid clashing with built-ins.

It would be easy enough to rename it to 'person' if nobody objects.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32595; Package emacs. Full text available.
Forcibly Merged 31660 32595. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2018 20:00:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 30 16:00:42 2018
Received: from localhost ([127.0.0.1]:39440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fvT7S-0000y8-Ks
	for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:00:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pogonyshev@HIDDEN>) id 1fvT7Q-0000xs-QV
 for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:00:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1fvT7J-0002iq-ET
 for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:00:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59821)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pogonyshev@HIDDEN>)
 id 1fvT7H-0002iO-Ow
 for submit <at> debbugs.gnu.org; Thu, 30 Aug 2018 16:00:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55223)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1fvT7H-0000YE-3V
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 16:00:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pogonyshev@HIDDEN>) id 1fvT7G-0002h3-GU
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 16:00:31 -0400
Received: from mail-pf1-x430.google.com ([2607:f8b0:4864:20::430]:37258)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pogonyshev@HIDDEN>)
 id 1fvT7G-0002fg-9A
 for bug-gnu-emacs@HIDDEN; Thu, 30 Aug 2018 16:00:30 -0400
Received: by mail-pf1-x430.google.com with SMTP id h69-v6so4370593pfd.4
 for <bug-gnu-emacs@HIDDEN>; Thu, 30 Aug 2018 13:00:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=EzsQSwPM6Ixqtrq3GtMrRB6r4gIbtx4B/YOzWTyZKJo=;
 b=F4NzXxNfXr2HfSyqQkNmP77suFL++M5b7f/oJ/kv5R6Sone5h/7SCfBhMDsXGcr5pG
 8FK2xk0QCuXg0ffFRBzAB37WZM2YEsUJu238pxCh69C80c6077SWnxfEARA9x5qgfNZC
 nEcwCN0UdKuo9jcfEKxkug+zg4meNG/rIetavzwXJLyJAXv/BvC86+Y773l7ooLQMMdY
 LQmXm4xB25ZyjoaXJsbky+Mn2+T3knRWxflhJRSElMNiNEqkcJvHI491txksDqGfFuSC
 oFsvl7BbYgXDtmaOeiEOj+tLZcOwJw4fui2IKLdkXxBrq20bANEQuL4oFWbC7uZLij4N
 fPrg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=EzsQSwPM6Ixqtrq3GtMrRB6r4gIbtx4B/YOzWTyZKJo=;
 b=llcdHr9eKlc/MJoJZodD+12zLFwPIk8d+y2jCUvjVX7aPkMRXPFy64+LuVlIAn3So4
 6PidlxHqSKO93YlqCYjJlZispk2OIhY7HMYG7R5MqacwC9XhNpeyUzu+lpTYsloh8hGh
 US+Cr227xg5EAEcuJunIU0N13xA4bCVoP0f3LGyEYR2YNSbdX/AyGajastnRdPYZZ2LY
 LnHhzuGSN6tHnjVysifE48xE3hsfRlOaKYrKNh/ctfjiJJFoqwFySBCAQ3iO6Qn1H6tP
 Lu1Yw/ANxFyYGi+5lbc9ldkNtm0nrKi4N/eitR8lMpQVvogNeXm/S+8tuGQ4wuRzwuWP
 lDxQ==
X-Gm-Message-State: APzg51DZjHR7BwoXMUbJPOUqUL6gUTxoelVP891WgA19nIZEm7G74QCC
 Z0PvUAfv6Ck+u4lwJyD75/LaOYHkJ0K2xQeb7M1R
X-Google-Smtp-Source: ANB0Vda6yXSn9nKFV8SjMyoI/0Po5y4/VafnEvw3bhQNTEtaGCHJkq8MZ8lmsUUS05yxDskgPdrgftdmKOI5YzS77hs=
X-Received: by 2002:a63:d74f:: with SMTP id
 w15-v6mr11146813pgi.306.1535659228956; 
 Thu, 30 Aug 2018 13:00:28 -0700 (PDT)
MIME-Version: 1.0
From: Paul Pogonyshev <pogonyshev@HIDDEN>
Date: Thu, 30 Aug 2018 22:00:17 +0200
Message-ID: <CAG7BpapxirN+XLu0p1QFuye1m52sz2jPfUNuWS2PcL9cF5gMuw@HIDDEN>
Subject: EIEIO manual breaks built-ins
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

EIEIO manual defines class `record' in many chapters. Evaluating these
examples hides built-in function `record', potentially breaking Emacs.

The class in EIEIO manual must be renamed to avoid clashing with built-ins.

Paul




Acknowledgement sent to Paul Pogonyshev <pogonyshev@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32595; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 9 Apr 2019 23:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.